@import url("https://fonts.googleapis.com/css2?family=Kulim+Park:wght@300;400;600;700&display=swap");
* {
  font-family: "Poppins";
}

body {
  margin: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

* {
  margin: 0;
  padding: 0;
}

.page-loading {
  display: flex;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  z-index: 999;
  align-items: center;
  justify-content: center;
  backdrop-filter: blur(12px);
  background: rgba(0, 0, 0, 0.7019607843);
}
.page-loading .loading-box {
  width: 60px;
  height: 60px;
  border-radius: 8px;
  box-shadow: 0px 4px 20px 5px rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #000;
}

.container {
  max-width: 1320px;
  margin-right: auto;
  margin-left: auto;
}
@media (max-width: 1360px) {
  .container {
    margin-right: 20px;
    margin-left: 20px;
    max-width: calc(100% - 64px);
  }
}
@media (max-width: 762px) {
  .container {
    margin-right: 16px;
    margin-left: 16px;
    max-width: calc(100% - 32px);
  }
}

.header {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 10;
  backdrop-filter: blur(4px);
}
@media (max-width: 992px) {
  .header {
    position: absolute;
  }
}

.header-content {
  margin-top: 23px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.header-content .header-center ul {
  list-style: none;
  display: flex;
}
.header-content .header-center ul li {
  margin-right: 15px;
  margin-left: 15px;
}
.header-content .header-center ul li a {
  padding: 20px 15px;
  color: #fff;
  text-transform: uppercase;
  font-family: "Poppins";
  font-size: 14px;
  font-weight: bold;
  text-decoration: none;
  transition: all 0.3s;
}
.header-content .header-center ul li a.active {
  color: #8873ff;
}
.header-content .header-center ul li a:hover {
  color: #8873ff;
}
@media (max-width: 992px) {
  .header-content .header-center {
    display: none;
  }
}
.header-content .header-right {
  display: flex;
  align-items: center;
}
@media (max-width: 992px) {
  .header-content .header-right {
    margin-right: 0;
  }
}

.social-link {
  margin-right: 10px;
  margin-left: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.social-link img {
  height: 50px;
  transition: all 0.3s;
}
@media (max-width: 576px) {
  .social-link img {
    height: 30px;
  }
}
.social-link:first-child {
  margin-left: 0;
}
.social-link:last-child {
  margin-right: 0;
}
.social-link:hover img {
  filter: brightness(0.8);
}

.header-wallet {
  right: 23px;
  top: 38px;
  display: flex;
}
@media (max-width: 992px) {
  .header-wallet {
    display: flex;
    align-items: center;
  }
  .header-wallet .mobile-menu {
    margin-left: 16px;
    z-index: 100;
  }
}

main {
  background-color: #0f172a;
  min-height: 100vh;
  padding-top: 174px;
}

button {
  cursor: pointer;
}

.row {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.col-12 {
  width: calc(100% - 40px);
  margin-right: 20px;
  margin-left: 20px;
}
@media (max-width: 992px) {
  .col-12 {
    width: 100%;
    margin-right: 0;
    margin-left: 0;
  }
}

.col-half {
  width: calc(50% - 40px);
  margin-right: 20px;
  margin-left: 20px;
}
@media (max-width: 992px) {
  .col-half {
    width: 100%;
    margin-right: 0;
    margin-left: 0;
  }
}

.col-3 {
  width: calc(25% - 30px);
  margin-right: 15px;
  margin-left: 15px;
}

.mt-10 {
  margin-top: 10px;
}

.pb-80 {
  padding-bottom: 80px;
}

.mobile-menu {
  display: none;
}
@media (max-width: 992px) {
  .mobile-menu {
    display: block;
  }
  .mobile-menu button {
    margin-left: 16px;
    border: none;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.mobile-nav {
  display: none;
}
@media (max-width: 992px) {
  .mobile-nav {
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: #000;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  .mobile-nav ul li {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
  }
  .mobile-nav ul li a {
    font-family: "Kulim Park";
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    margin-left: 10px;
    margin-right: 10px;
  }
}

.MuiOutlinedInput-notchedOutline {
  border-color: rgba(255, 255, 255, 0.2) !important;
}

.MuiSelect-select {
  color: #fff !important;
  font-family: "Kulim Park" !important;
}

.MuiSelect-icon {
  color: rgba(255, 255, 255, 0.2) !important;
}

.MuiTouchRipple-root {
  font-family: "Kulim Park" !important;
}

.MuiRadio-root .MuiSvgIcon-root {
  fill: #fff !important;
}

.MuiTypography-root {
  font-family: "Poppins" !important;
}

.MuiFormGroup-root {
  min-height: 56px !important;
}

.winner-address {
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
  margin: 5px 0;
}

.copy-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
}
.copy-icon .copied {
  color: #3c23cd;
  font-weight: bold;
}

.btn-claim-all {
  border-radius: 15px;
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 10px;
  font-weight: 500;
  font-size: 24px;
  line-height: 36px;
  color: #fff;
  width: 173px;
}
.btn-claim-all:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -2px;
  border-radius: inherit;
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.btn-claim-all .content {
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
  padding: 4px 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100% - 8px);
  border-radius: 9px;
}
.btn-claim-all:hover .content {
  background: #0f172a;
}

.btn-primary {
  border-radius: 15px;
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 10px;
  font-weight: 500;
  font-size: 18px;
  line-height: 27px;
  color: #fff;
  width: 150px;
}
.btn-primary:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -2px;
  border-radius: inherit;
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.btn-primary .content {
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
  padding: 6.5px 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100% - 8px);
  border-radius: 9px;
}
.btn-primary:hover .content {
  background: #0f1e45;
}

.btn-secondary {
  border-radius: 15px;
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 16px;
  font-weight: 500;
  font-size: 18px;
  line-height: 27px;
  color: #fff;
  width: 150px;
  border: none;
}
.btn-secondary:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -1px;
  border-radius: inherit;
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.btn-secondary .content {
  background: #222a3f;
  padding: 6.5px 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100% - 8px);
  border-radius: 15px;
}
.btn-secondary:hover .content {
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}

.btn-third {
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 5px;
  font-weight: 400;
  font-size: 12px;
  width: 64px;
  line-height: 18px;
  color: #fff;
  border: none;
}
.btn-third:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -1px;
  border-radius: inherit;
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.btn-third .content {
  background: #222a3f;
  padding: 6px 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100% - 2px);
  border-radius: 4px;
}
.btn-third:hover .content {
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.btn-third:last-child {
  width: 51px;
  margin-left: 10px;
}

.staked-card-action {
  margin-top: 8px;
}

.collection-box {
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 10px;
  color: #fff;
  margin-top: 40px;
}
.collection-box:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -2px;
  border-radius: inherit;
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.collection-box .box-body {
  background: linear-gradient(104.73deg, #293654 0%, #222a3f 52.57%, #1d2b4e 100%);
  padding: 22px 20px;
  border-radius: 9px;
}
.collection-box .box-body .box-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}
.collection-box .box-body .box-header h3.title {
  font-weight: 600;
  font-size: 24px;
  line-height: 36px;
  color: #ffffff;
}
.collection-box .box-body .box-header .button-group button {
  margin-left: 32px;
}
.collection-box .box-body .box-content {
  display: flex;
  gap: 11px;
  flex-wrap: wrap;
  margin-top: 24px;
}
.collection-box .box-body p.notice {
  font-weight: 600;
  font-size: 24px;
  line-height: 36px;
  text-align: center;
  color: #f900ef;
  max-width: 880px;
  margin-right: auto;
  margin-left: auto;
  padding-bottom: 50px;
  padding-top: 30px;
}

.nft-card {
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 10px;
  color: #fff;
  width: 150px;
  min-height: 232px;
  cursor: pointer;
}
.nft-card .nft-card-content {
  padding: 6px;
  border-radius: 9px;
  height: calc(100% - 12px);
}
.nft-card .nft-card-content .media {
  height: 158px;
}
.nft-card .nft-card-content .media img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 15px;
}
.nft-card .nft-card-content .card-content {
  margin-top: 8px;
  padding: 0 6px;
}
.nft-card .nft-card-content .card-content p.nft-name {
  font-weight: 300;
  font-size: 14px;
  line-height: 22px;
}
.nft-card .nft-card-content .card-content p.staked-text {
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
}
.nft-card.selected img {
  box-shadow: 2px 2px 0 #faff00, -2px -2px 0 #faff00, 2px -2px 0 #faff00, -2px 2px 0 #faff00;
}
.nft-card.staked .nft-card-content {
  background: transparent;
}

.landing-page {
  padding: 40px 56px;
  background: linear-gradient(107.56deg, #0f1e41 0%, #1e163f 100%);
  height: calc(100vh - 80px);
}

.landing-content {
  border-radius: 30px;
  position: relative;
}
.landing-content .content {
  border-radius: 30px;
  position: relative;
}
.landing-content .content:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  margin: -1px;
  border-radius: inherit;
  background: linear-gradient(90deg, #004af9 0%, #db00ff 100%);
}
.landing-content .content .sub-content {
  background: linear-gradient(109.07deg, #4c5771 0%, #3e385b 100%);
  position: relative;
  z-index: 2;
  padding: 25px;
  border-radius: 30px;
  height: calc(100vh - 130px);
}
.landing-content .content .sub-content .landing-image {
  border-radius: 13px;
  width: 100%;
  object-fit: cover;
  height: calc(100vh - 130px);
}
.landing-content .content .sub-content:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  margin: 24px;
  border-radius: 13px;
  background: linear-gradient(90deg, #004af9 0%, #db00ff 100%);
}
.landing-content .content .sub-content .image-content {
  position: relative;
  z-index: 3;
}
.landing-content .main-content {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding-top: 65px;
}
.landing-content .main-content img.landing-logo {
  height: 73px;
}
.landing-content .main-content h1 {
  font-weight: 700;
  font-size: 48px;
  line-height: 58px;
  text-align: center;
  padding-top: 0px;
  padding-bottom: 0;
  color: #ffffff;
  max-width: 620px;
}
.landing-content .main-content .div-p {
  position: relative;
}
.landing-content .main-content .div-p span {
  position: absolute;
  top: 0%;
  width: 100%;
  height: 1px;
  background: linear-gradient(90deg, #004af9 0%, #db00ff 100%);
}
.landing-content .main-content p {
  font-weight: 400;
  font-size: 19.7642px;
  line-height: 30px;
  text-align: center;
  color: #ffffff;
  padding-top: 10px;
  padding-bottom: 30px;
}

.intro-box {
  border-radius: 8px;
  text-align: center;
  border: 1px solid #f900ef;
  padding: 30px 64px 40px;
}
.intro-box .connect-wallet {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -24px;
}

.total-values-intro {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 40px;
  margin-top: 40px;
}
.total-values-intro .total-intro-items {
  text-align: center;
}
.total-values-intro .total-intro-items p {
  font-weight: 400;
  font-size: 24px;
  line-height: 27px;
}
.total-values-intro .total-intro-items h4 {
  font-weight: 700;
  font-size: 32px;
  line-height: 36px;
  text-align: center;
  color: #f900ef;
}

.box-title {
  border-radius: 15px;
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 16px;
  font-weight: 600;
  font-size: 32px;
  line-height: 48px;
  color: #fff;
  border: none;
}
.box-title:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -1px;
  border-radius: inherit;
  background: linear-gradient(93.13deg, #004af9 0%, #db00ff 100%);
}
.box-title .content {
  background: #222a3f;
  padding: 4px 120px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100% - 8px);
  border-radius: 15px;
}

.staked-collectionbox .box-body .box-header {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.staked-collectionbox .box-body .box-header .button-group {
  position: absolute;
  right: 0;
}

.wallet-adapter-button.wallet-adapter-button-trigger {
  background: linear-gradient(90deg, #004af9 0%, #db00ff 100%) !important;
  font-size: 18px !important;
  line-height: 27px !important;
  border-radius: 4px !important;
  font-family: "Poppins" !important;
}

.goto-staking {
  background: linear-gradient(90deg, #004af9 0%, #db00ff 100%) !important;
  font-size: 18px !important;
  line-height: 27px !important;
  font-weight: 500;
  color: #fff;
  padding: 10px 20px;
  border-radius: 4px;
}

@font-face {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(../fonts/Poppins-Regular.ttf) format("truetype"), url(../fonts/Poppins-Regular.woff2) format("woff2");
}
@font-face {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url(../fonts/Poppins-Medium.ttf) format("truetype"), url(../fonts/Poppins-Medium.woff2) format("woff2");
}
@font-face {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url(../fonts/Poppins-SemiBold.ttf) format("truetype"), url(../fonts/Poppins-SemiBold.woff2) format("woff2");
}
@font-face {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(../fonts/Poppins-Bold.ttf) format("truetype"), url(../fonts/Poppins-Bold.woff2) format("woff2");
}
/* latin */
@font-face {
  font-family: "Kulim Park";
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(../fonts/KulimPark-Light.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin */
@font-face {
  font-family: "Kulim Park";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(../fonts/KulimPark-Rugular.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin */
@font-face {
  font-family: "Kulim Park";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url(../fonts/KulimPark-SemiBold.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin */
@font-face {
  font-family: "Kulim Park";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(../fonts/KulimPark-Bold.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
.total-banner {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: space-between;
  gap: 15px;
}
.total-banner .item {
  width: 33.3%;
  border-radius: 10px;
  background-clip: padding-box;
  border: 2px solid transparent;
  color: #fff;
  position: relative;
  box-sizing: border-box;
  z-index: 2;
}
.total-banner .item:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -2px;
  border-radius: inherit;
  background: linear-gradient(120.66deg, #7e18ff 0%, #db00ff 100%);
}
.total-banner .item .item-content {
  background: linear-gradient(180deg, #0f1a34 0%, #101b37 100%);
  border-radius: 9px;
  text-align: center;
  padding: 12px;
}
.total-banner .item .item-content label {
  font-size: 32px;
  font-weight: 700;
  line-height: 36px;
  font-family: "Kulim Park";
}
.total-banner .item .item-content p {
  font-weight: 400;
  font-size: 32px;
  line-height: 36px;
  font-family: "Kulim Park";
}

.current-reward {
  margin-top: 12px;
}
.current-reward h3 {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 600;
  font-size: 36px;
  line-height: 54px;
  color: #fff;
  text-align: center;
  padding: 12px;
}
.current-reward .content {
  display: flex;
  gap: 12px;
  justify-content: space-between;
}
.current-reward .content .item {
  width: calc((100% - 175px) / 2 - 16px);
  border: 2px solid transparent;
  color: #fff;
  position: relative;
  box-sizing: border-box;
  z-index: 2;
  border-radius: 10px;
}
.current-reward .content .item:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  margin: -2px;
  border-radius: inherit;
  background: linear-gradient(120.66deg, #7e18ff 0%, #db00ff 100%);
}
.current-reward .content .item .item-content {
  background: linear-gradient(180deg, #0f1f46 0%, #0f1e45 100%);
  border-radius: 9px;
  padding: 10px 0;
  text-align: center;
}
.current-reward .content .item .item-content label {
  font-style: normal;
  font-weight: 400;
  font-size: 26px;
  line-height: 39px;
  /* identical to box height */
  text-align: center;
  color: #ffffff;
}
.current-reward .content .item .item-content p {
  font-weight: 500;
  font-size: 32px;
  line-height: 48px;
  color: #db00ff;
}
.current-reward .content .item {
  width: 40%;
}
.current-reward .content .item.with-button {
  width: calc(60% - 10px);
}
.current-reward .content .item.with-button .item-content {
  display: flex;
  justify-content: space-between;
}
.current-reward .content .item.with-button .item-content .text-content {
  width: calc(100% - 175px);
}
.current-reward .content .item.with-button .item-content button {
  margin-right: 16px;
}

footer {
  margin-top: 90px;
}
footer .copyright {
  margin-right: 50px;
  margin-left: 50px;
  padding: 30px 0;
  position: relative;
}
footer .copyright p {
  font-weight: 400;
  font-size: 20px;
  line-height: 30px;
  text-align: center;
  color: #ffffff;
}
footer .copyright::after {
  content: "";
  top: 0;
  position: absolute;
  height: 1px;
  width: 100%;
  background: linear-gradient(120.66deg, #7e18ff 0%, #db00ff 100%);
}
